List voices
curl --request GET \
--url https://api.omnia-voice.com/api/v1/voices \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/voices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"previewUrl": "<string>",
"languageCode": "<string>",
"gender": "<string>",
"isActive": true,
"language": {
"code": "<string>",
"name": "<string>"
}
}
],
"groupedByLanguage": {},
"total": 123,
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"returned": 123
}
}Configuration
List voices
Retrieve available voices for agent configuration.
Supports filtering by language, free-text search on the voice name, sorting, and pagination. Voices are scoped to active entries by default.
GET
/
voices
List voices
curl --request GET \
--url https://api.omnia-voice.com/api/v1/voices \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/voices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"previewUrl": "<string>",
"languageCode": "<string>",
"gender": "<string>",
"isActive": true,
"language": {
"code": "<string>",
"name": "<string>"
}
}
],
"groupedByLanguage": {},
"total": 123,
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"returned": 123
}
}Query Parameters
Response
200 - application/json
Successful response